@import url('https://fonts.googleapis.com/css2?family=Mitr:wght@200;300;400;500;600;700&display=swap');

body {
  font-family: "Mitr", sans-serif;
  text-align: center;
  background: #2F4F4F;
  color: white;
}

#app {
  margin: auto;
  max-width: 300px;
}

.grid {
  display: grid;
  grid-template-columns: repeat(5, 50px);
  gap: 5px;
  justify-content: center;
  margin-bottom: 10px;
}

.cell {
  width: 50px;
  height: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bold;
  font-size: 1.2em;
  border: 2px solid #ccc;
}

.correct {
  background: #6aaa64;
  color: white;
}

.present {
  background: #c9b458;
  color: white;
}

.absent {
  background: #787c7e;
  color: white;
}

input {
  padding: 8px;
  font-size: 1em;
  text-transform: uppercase;
  width: 100px;
  text-align: center;
}

button {
  padding: 8px 12px;
  font-size: 1em;
  margin-left: 5px;
  cursor: pointer;
}

button:hover {
  background: #7FFFD4	
}

.mensagem {
  font-weight: bold;
  margin-top: 10px;
}
